package view;

import javax.swing.JPanel;
import javax.swing.JTabbedPane;

/**
 *
 * @author sjoerdlagarde
 */
public class TabbedView extends JPanel {
    private static final long serialVersionUID = 1L;
    
    private JTabbedPane tabbedPane;
    private int tabCounter;
    
    public TabbedView() {
        tabbedPane = new JTabbedPane();
        tabCounter = 0; 
        this.add(tabbedPane); 
    } 
    
    public void addTab(JPanel tab, String name, String description) {
        tabbedPane.addTab(name, null, tab, description);
        tabCounter++;
    }
}
